> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event positions

> Returns a page of event (prediction market) positions.



## OpenAPI

````yaml /api-reference/clearing-api/rest-api/cbc-spec.json post /api/event-positions/get-all-positions
openapi: 3.0.3
info:
  title: Coinbase Clearing REST API
  description: >-
    Read-only queries of Coinbase Clearing LLC (CBC) trades, prices, settlement
    results, event positions, and balances.
  version: 1.0.0
servers:
  - url: https://{host}/cdp-api
    variables:
      host:
        default: host
        description: >-
          Host name for your environment. REST API host names are not published
          yet; environments are described on the Coinbase Clearing Connectivity
          page.
security:
  - bearerAuth: []
tags:
  - name: Trades
    description: Derivative and event trades.
  - name: Prices
    description: Instrument prices.
  - name: Settlement Results
    description: Settlement results for instruments.
  - name: Positions
    description: Event positions.
  - name: Balances
    description: Account balances.
paths:
  /api/event-positions/get-all-positions:
    post:
      tags:
        - Positions
      summary: Get event positions
      description: Returns a page of event (prediction market) positions.
      operationId: getEventPositions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventPositionDecoratedQuery'
            example:
              bookmark: null
              queryArgs:
                position:
                  accountId:
                    filters:
                      - group: 0
                        operator: EQUALS
                        value: 1001
                  businessDate:
                    filters:
                      - group: 0
                        operator: EQUALS
                        value: '2026-06-01'
              rangeLimit: 50
              paging: NEXT_PAGE
      responses:
        '200':
          description: A page of results.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventPositionDecoratedPage'
              example:
                bookmark: eyJsYXN0S2V5IjoiMTAwMS0yMDI2LTA2LTAxLTU2NzgifQ==
                content:
                  - position:
                      businessDate: '2026-06-01'
                      accountId: 1001
                      subAccount: DEFAULT
                      instrumentId: 5678
                      memberId: 200
                      eventId: 10
                      seriesId: 42
                      positionQuantities:
                        longQuantity: 15
                        shortQuantity: 0
                        netQuantity: 15
                      tradeValue:
                        amount: 410250
                        currency: USDC
                      tradeQuantities:
                        buyOpen: 15
                        sellOpen: 0
                        buyClose: 0
                        sellClose: 0
                      todaysTradeValue:
                        amount: 136750
                        currency: USDC
                      binaryTradeValue:
                        amount: 9.75
                        currency: USDC
                      auditData:
                        lastUpdatedBy: trade-processor
                        lastUpdatedAt: '2026-06-01T14:30:00.000Z'
                    accountCode: ACC-MAIN-001
                    clearingMemberCode: CM-ALPHA
                    instrumentCode: WC26-FRW
                    eventName: UEFA World Cup Winner 2026
                    seriesName: Football
                atEnd: true
components:
  schemas:
    EventPositionDecoratedQuery:
      description: Query request for event positions.
      allOf:
        - $ref: '#/components/schemas/PageRequest'
        - type: object
          properties:
            queryArgs:
              description: >-
                Filter and sort arguments. Use `null` to return all results
                unfiltered.
              nullable: true
              allOf:
                - $ref: '#/components/schemas/EventPositionDecoratedQueryArgs'
    EventPositionDecoratedPage:
      description: Page of event positions.
      allOf:
        - $ref: '#/components/schemas/PageResponse'
        - type: object
          properties:
            content:
              type: array
              description: Page of event positions.
              items:
                $ref: '#/components/schemas/EventPositionDecorated'
    PageRequest:
      type: object
      description: Fields shared by every query request.
      required:
        - rangeLimit
        - paging
      properties:
        bookmark:
          type: string
          nullable: true
          description: >-
            Pagination cursor from the previous response. Use `null` for the
            first page.
          example: null
        rangeLimit:
          type: integer
          format: int32
          description: Maximum number of results per page.
          example: 50
        paging:
          $ref: '#/components/schemas/Paging'
    EventPositionDecoratedQueryArgs:
      type: object
      description: Filter and sort arguments for event positions. All fields are optional.
      properties:
        position:
          description: Filters on the event position entity.
          allOf:
            - $ref: '#/components/schemas/EventPositionQueryArgs'
        accountCode:
          description: Filter by resolved account code.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        clearingMemberCode:
          description: Filter by resolved clearing member code.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        instrumentCode:
          description: Filter by resolved instrument code.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        eventName:
          description: Filter by resolved event name.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        seriesName:
          description: Filter by resolved series name.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
    PageResponse:
      type: object
      description: Fields shared by every query response.
      properties:
        bookmark:
          type: string
          description: Cursor to fetch the next or previous page.
          example: eyJsYXN0S2V5IjoiMTAwMyJ9
        atEnd:
          type: boolean
          description: '`true` when there are no more pages in the current direction.'
          example: false
    EventPositionDecorated:
      type: object
      description: Event position with resolved codes and names.
      properties:
        position:
          description: Event position entity.
          allOf:
            - $ref: '#/components/schemas/EventPosition'
        accountCode:
          type: string
          description: Resolved account code.
          example: ACC-MAIN-001
        clearingMemberCode:
          type: string
          description: Resolved clearing member code.
          example: CM-ALPHA
        instrumentCode:
          type: string
          description: Resolved instrument code.
          example: WC26-FRW
        eventName:
          type: string
          description: Resolved event name.
          example: UEFA World Cup Winner 2026
        seriesName:
          type: string
          description: Resolved series name.
          example: Football
    Paging:
      type: string
      description: Page direction.
      enum:
        - NEXT_PAGE
        - PREVIOUS_PAGE
      example: NEXT_PAGE
    EventPositionQueryArgs:
      type: object
      description: Filters on the event position entity. All fields are optional.
      properties:
        businessDate:
          description: Filter by business date.
          allOf:
            - $ref: '#/components/schemas/LocalDateQueryArg'
        accountId:
          description: Filter by account ID.
          allOf:
            - $ref: '#/components/schemas/LongQueryArg'
        subAccount:
          description: Filter by sub-account.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        instrumentId:
          description: Filter by instrument ID.
          allOf:
            - $ref: '#/components/schemas/LongQueryArg'
        memberId:
          description: Filter by member ID.
          allOf:
            - $ref: '#/components/schemas/LongQueryArg'
        eventId:
          description: Filter by event ID.
          allOf:
            - $ref: '#/components/schemas/LongQueryArg'
        seriesId:
          description: Filter by series ID.
          allOf:
            - $ref: '#/components/schemas/LongQueryArg'
        positionQuantities:
          description: Filter by long, short, and net quantities.
          allOf:
            - $ref: '#/components/schemas/PositionQuantitiesQueryArgs'
        tradeValue:
          description: Filter by trade value.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmountQueryArgs'
        tradeQuantities:
          description: Filter by buy and sell open and close quantities.
          allOf:
            - $ref: '#/components/schemas/TradeQuantitiesQueryArgs'
        todaysTradeValue:
          description: Filter by today's trade value.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmountQueryArgs'
        binaryTradeValue:
          description: Filter by binary trade value.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmountQueryArgs'
        auditData:
          description: Filter by audit fields.
          allOf:
            - $ref: '#/components/schemas/AuditDataQueryArgs'
    StringQueryArg:
      type: object
      description: Filter and sort argument for a string field.
      properties:
        filters:
          type: array
          description: Filter conditions on this field.
          items:
            $ref: '#/components/schemas/StringFilter'
        sorter:
          $ref: '#/components/schemas/Sorter'
    EventPosition:
      type: object
      description: Event position entity.
      properties:
        businessDate:
          type: string
          format: date
          description: Business date the position belongs to, as `YYYY-MM-DD`.
          example: '2026-06-01'
        accountId:
          type: integer
          format: int64
          description: ID of the account the position is related to.
          example: 1001
        subAccount:
          type: string
          description: Sub-account of the position.
          example: DEFAULT
        instrumentId:
          type: integer
          format: int64
          description: ID of the instrument in the position.
          example: 5678
        memberId:
          type: integer
          format: int64
          description: ID of the clearing member.
          example: 200
        eventId:
          type: integer
          format: int64
          description: ID of the event the instrument belongs to.
          example: 10
        seriesId:
          type: integer
          format: int64
          description: ID of the series the instrument belongs to.
          example: 42
        positionQuantities:
          description: Long, short, and net quantities.
          allOf:
            - $ref: '#/components/schemas/PositionQuantities'
          example:
            longQuantity: 15
            shortQuantity: 0
            netQuantity: 15
        tradeValue:
          description: Total trade value of the position.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmount'
          example:
            amount: 410250
            currency: USDC
        tradeQuantities:
          description: Buy and sell, open and close quantities for the current trade date.
          allOf:
            - $ref: '#/components/schemas/TradeQuantities'
          example:
            buyOpen: 15
            sellOpen: 0
            buyClose: 0
            sellClose: 0
        todaysTradeValue:
          description: Trade value of the position accrued today.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmount'
          example:
            amount: 136750
            currency: USDC
        binaryTradeValue:
          description: Binary trade value of the position.
          allOf:
            - $ref: '#/components/schemas/MonetaryAmount'
          example:
            amount: 9.75
            currency: USDC
        auditData:
          description: Audit data.
          allOf:
            - $ref: '#/components/schemas/AuditData'
          example:
            lastUpdatedBy: trade-processor
            lastUpdatedAt: '2026-06-01T14:30:00.000Z'
    LocalDateQueryArg:
      type: object
      description: Filter and sort argument for a date field.
      properties:
        filters:
          type: array
          description: Filter conditions on this field.
          items:
            $ref: '#/components/schemas/LocalDateFilter'
        sorter:
          $ref: '#/components/schemas/Sorter'
    LongQueryArg:
      type: object
      description: Filter and sort argument for a 64-bit integer field.
      properties:
        filters:
          type: array
          description: Filter conditions on this field.
          items:
            $ref: '#/components/schemas/LongFilter'
        sorter:
          $ref: '#/components/schemas/Sorter'
    PositionQuantitiesQueryArgs:
      type: object
      description: Filters on position quantities.
      properties:
        longQuantity:
          description: Filter by long quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        shortQuantity:
          description: Filter by short quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        netQuantity:
          description: Filter by net quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
    MonetaryAmountQueryArgs:
      type: object
      description: Filters on a monetary amount.
      properties:
        amount:
          description: Filter by amount.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        currency:
          description: Filter by currency code.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
    TradeQuantitiesQueryArgs:
      type: object
      description: Filters on trade quantities.
      properties:
        buyOpen:
          description: Filter by buy open quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        sellOpen:
          description: Filter by sell open quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        buyClose:
          description: Filter by buy close quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
        sellClose:
          description: Filter by sell close quantity.
          allOf:
            - $ref: '#/components/schemas/BigDecimalQueryArg'
    AuditDataQueryArgs:
      type: object
      description: Filters on audit fields.
      properties:
        lastUpdatedBy:
          description: Filter by the user who last updated the entity.
          allOf:
            - $ref: '#/components/schemas/StringQueryArg'
        lastUpdatedAt:
          description: Filter by when the entity was last updated.
          allOf:
            - $ref: '#/components/schemas/InstantQueryArg'
    StringFilter:
      type: object
      description: Filter condition for a string field.
      required:
        - group
        - operator
        - value
      properties:
        group:
          type: integer
          format: int32
          description: >-
            Filter group. Filters in the same group are combined with AND;
            groups are combined with OR.
          example: 0
        operator:
          type: string
          description: Filter operator.
          enum:
            - EQUALS
            - NOT_EQUALS
            - CONTAINS
            - STARTS_WITH
            - ENDS_WITH
          example: EQUALS
        value:
          type: string
          description: String value to compare.
          example: ACC-5001
    Sorter:
      type: object
      description: Sort configuration for a field.
      properties:
        priority:
          type: integer
          format: int32
          description: Sort priority. A lower value has a higher priority.
          example: 0
        sortingDirection:
          type: string
          description: Sort direction.
          enum:
            - ASCENDING
            - DESCENDING
          example: DESCENDING
    PositionQuantities:
      type: object
      description: Long, short, and net quantities of the position.
      properties:
        longQuantity:
          type: number
          description: Long quantity based on previous and today's trading activity.
          example: 15
        shortQuantity:
          type: number
          description: Short quantity based on previous and today's trading activity.
          example: 0
        netQuantity:
          type: number
          description: Long quantity minus short quantity.
          example: 15
    MonetaryAmount:
      type: object
      description: Amount in a currency.
      properties:
        amount:
          type: number
          description: Amount.
          example: 1425
        currency:
          type: string
          description: Currency code.
          example: USDC
    TradeQuantities:
      type: object
      description: >-
        Quantities traded during the current trade date, by side and position
        effect.
      properties:
        buyOpen:
          type: number
          description: Quantity bought with the open flag during the current trade date.
          example: 15
        sellOpen:
          type: number
          description: Quantity sold with the open flag during the current trade date.
          example: 0
        buyClose:
          type: number
          description: Quantity bought with the close flag during the current trade date.
          example: 0
        sellClose:
          type: number
          description: Quantity sold with the close flag during the current trade date.
          example: 0
    AuditData:
      type: object
      description: Audit data.
      properties:
        lastUpdatedBy:
          type: string
          description: ID of the user who created or last updated the entity.
          example: system
        lastUpdatedAt:
          type: string
          format: date-time
          description: Date and time when the entity was last updated.
          example: '2026-01-15T14:30:00.150Z'
    LocalDateFilter:
      type: object
      description: Filter condition for a date field.
      required:
        - group
        - operator
        - value
      properties:
        group:
          type: integer
          format: int32
          description: >-
            Filter group. Filters in the same group are combined with AND;
            groups are combined with OR.
          example: 0
        operator:
          type: string
          description: Filter operator.
          enum:
            - EQUALS
            - NOT_EQUALS
            - AFTER
            - AFTER_OR_EQUALS
            - BEFORE
            - BEFORE_OR_EQUALS
          example: EQUALS
        value:
          type: string
          format: date
          description: Date to compare, as `YYYY-MM-DD`.
          example: '2026-01-01'
    LongFilter:
      type: object
      description: Filter condition for a 64-bit integer field.
      required:
        - group
        - operator
        - value
      properties:
        group:
          type: integer
          format: int32
          description: >-
            Filter group. Filters in the same group are combined with AND;
            groups are combined with OR.
          example: 0
        operator:
          type: string
          description: Filter operator.
          enum:
            - EQUALS
            - NOT_EQUALS
            - GREATER_THAN
            - GREATER_THAN_OR_EQUALS
            - LESS_THAN
            - LESS_THAN_OR_EQUALS
          example: EQUALS
        value:
          type: integer
          format: int64
          description: Integer value to compare.
          example: 12345
    BigDecimalQueryArg:
      type: object
      description: Filter and sort argument for a decimal field.
      properties:
        filters:
          type: array
          description: Filter conditions on this field.
          items:
            $ref: '#/components/schemas/BigDecimalFilter'
        sorter:
          $ref: '#/components/schemas/Sorter'
    InstantQueryArg:
      type: object
      description: Filter and sort argument for a timestamp field.
      properties:
        filters:
          type: array
          description: Filter conditions on this field.
          items:
            $ref: '#/components/schemas/InstantFilter'
        sorter:
          $ref: '#/components/schemas/Sorter'
    BigDecimalFilter:
      type: object
      description: Filter condition for a decimal field.
      required:
        - group
        - operator
        - value
      properties:
        group:
          type: integer
          format: int32
          description: >-
            Filter group. Filters in the same group are combined with AND;
            groups are combined with OR.
          example: 0
        operator:
          type: string
          description: Filter operator.
          enum:
            - EQUALS
            - NOT_EQUALS
            - GREATER_THAN
            - GREATER_THAN_OR_EQUALS
            - LESS_THAN
            - LESS_THAN_OR_EQUALS
          example: EQUALS
        value:
          type: number
          description: Decimal number to compare.
          example: 142.5
    InstantFilter:
      type: object
      description: Filter condition for a timestamp field.
      required:
        - group
        - operator
        - value
      properties:
        group:
          type: integer
          format: int32
          description: >-
            Filter group. Filters in the same group are combined with AND;
            groups are combined with OR.
          example: 0
        operator:
          type: string
          description: Filter operator.
          enum:
            - EQUALS
            - NOT_EQUALS
            - AFTER
            - AFTER_OR_EQUALS
            - BEFORE
            - BEFORE_OR_EQUALS
          example: EQUALS
        value:
          type: string
          format: date-time
          description: ISO-8601 date-time to compare.
          example: '2026-01-15T14:30:00.123Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT generated from a Coinbase Developer Platform (CDP) API key. See CDP
        API key JWT authentication.

````